MRCAL(1)

NAME
mrcal-show-valid-intrinsics-region - Visualize the valid-intrinsics region

SYNOPSIS
  $ mrcal-show-valid-intrinsics-region --write-image --image image.png left.cameramodel
  Wrote image-valid-intrinsics-region.png

DESCRIPTION
Given a camera model (or models), this tool displays the valid-intrinsics region(s). All the given models MUST contain a valid-intrinsics region. Empty regions are handled properly.

If an image is given, the region is rendered overlaid onto the image.

If --points then we also read x,y points from STDIN, and plot those too.

By default, we use gnuplotlib to make an interactive plot. Alternately, pass --write-image to annotate a given image, and write the new image on disk.

--write-image is not supported together with --points.

OPTIONS

  POSITIONAL ARGUMENTS
  models               Input camera model(s)

  OPTIONAL ARGUMENTS
  -h, --help           show this help message and exit
  --write-image        By default I make a plot. If --write-image is given, I
                       output an annotated image instead. The image to
                       annotate is then required, and is given in --image
  --force, -f          With --write-image we refuse to overwrite any existing
                       images. Pass --force to allow overwriting
  --points             If given, I read a set of xy points from STDIN, and
                       include them in the plot. This applies ONLY if not
                       --write-image
  --title TITLE        Extra title string for the plot
  --hardcopy HARDCOPY  Write the output to disk, instead of making an
                       interactive plot
  --terminal TERMINAL  gnuplotlib terminal. The default is good almost always,
                       so most people don't need this option
  --set SET            Extra 'set' directives to gnuplotlib. Can be given
                       multiple times
  --unset UNSET        Extra 'unset' directives to gnuplotlib. Can be given
                       multiple times
  --image IMAGE        Image to annotate. Used both with and without --write-
                       image

REPOSITORY
<https://www.github.com/dkogan/mrcal>

AUTHOR
Dima Kogan, "<dima@secretsauce.net>"

LICENSE AND COPYRIGHT
Copyright (c) 2017-2023 California Institute of Technology ("Caltech"). U.S. Government sponsorship acknowledged. All rights reserved.

Licensed under the Apache License, Version 2.0 (the "License"); You may obtain a copy of the License at

    http://www.apache.org/licenses/LICENSE-2.0